Uses of Enum Class
edu.internet2.middleware.grouperClient.util.HttpCallMethod
Packages that use HttpCallMethod
-
Uses of HttpCallMethod in edu.internet2.middleware.grouperClient.util
Methods in edu.internet2.middleware.grouperClient.util that return HttpCallMethodModifier and TypeMethodDescriptionHttpCallResponse.getHttpCallMethod()method from http callstatic HttpCallMethodReturns the enum constant of this class with the specified name.static HttpCallMethod[]HttpCallMethod.values()Returns an array containing the constants of this enum class, in the order they are declared.Methods in edu.internet2.middleware.grouperClient.util with parameters of type HttpCallMethodModifier and TypeMethodDescriptionstatic HttpCallResponseGrouperClientUtils.httpCall(String urlSuffix, String serviceAuthn, HttpCallMethod httpCallMethod, String body) call HTTP with a url, optional request body, get a response body.voidHttpCallResponse.setHttpCallMethod(HttpCallMethod method1) method from http call